OID reference

componentLinkDescrSwitchingCapability

1.3.6.1.2.1.10.200.1.6.1.2

Description

This attribute specifies link multiplexing capabilities of the component link.

Full description and source information

Identification

Identifier and names

Parent
1.3.6.1.2.1.10.200.1.6.1 (componentLinkDescriptorEntry)
Node code
2
Node name
componentLinkDescrSwitchingCapability
Category
SNMP management object
Numeric OID
1.3.6.1.2.1.10.200.1.6.1.2
URN notation
urn:oid:1.3.6.1.2.1.10.200.1.6.1.2
Type
OBJECT-TYPE
ASN.1, OID-IRI and named path variants
ASN.1 notation

{1 3 6 1 2 1 10 200 1 6 1 2}

  • {iso(1) identified-organization(3) dod(6) internet(1) mgmt(2) mib-2(1) transmission(10) teLinkStdMIB(200) teLinkObjects(1) componentLinkDescriptorTable(6) componentLinkDescriptorEntry(1) componentLinkDescrSwitchingCapability(2)}
  • {iso(1) identified-organization(3) dod(6) internet(1) mgmt(2) mib(1) transmission(10) teLinkStdMIB(200) teLinkObjects(1) componentLinkDescriptorTable(6) componentLinkDescriptorEntry(1) componentLinkDescrSwitchingCapability(2)}
  • {iso(1) identified-organization(3) dod(6) internet(1) mgmt(2) stdmib-2(1) transmission(10) teLinkStdMIB(200) teLinkObjects(1) componentLinkDescriptorTable(6) componentLinkDescriptorEntry(1) componentLinkDescrSwitchingCapability(2)}
  • {iso(1) org(3) dod(6) internet(1) mgmt(2) mib-2(1) transmission(10) teLinkStdMIB(200) teLinkObjects(1) componentLinkDescriptorTable(6) componentLinkDescriptorEntry(1) componentLinkDescrSwitchingCapability(2)}
  • {iso(1) org(3) dod(6) internet(1) mgmt(2) mib(1) transmission(10) teLinkStdMIB(200) teLinkObjects(1) componentLinkDescriptorTable(6) componentLinkDescriptorEntry(1) componentLinkDescrSwitchingCapability(2)}
  • {iso(1) org(3) dod(6) internet(1) mgmt(2) stdmib-2(1) transmission(10) teLinkStdMIB(200) teLinkObjects(1) componentLinkDescriptorTable(6) componentLinkDescriptorEntry(1) componentLinkDescrSwitchingCapability(2)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) mgmt(2) mib-2(1) transmission(10) teLinkStdMIB(200) teLinkObjects(1) componentLinkDescriptorTable(6) componentLinkDescriptorEntry(1) componentLinkDescrSwitchingCapability(2)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) mgmt(2) mib(1) transmission(10) teLinkStdMIB(200) teLinkObjects(1) componentLinkDescriptorTable(6) componentLinkDescriptorEntry(1) componentLinkDescrSwitchingCapability(2)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) mgmt(2) stdmib-2(1) transmission(10) teLinkStdMIB(200) teLinkObjects(1) componentLinkDescriptorTable(6) componentLinkDescriptorEntry(1) componentLinkDescrSwitchingCapability(2)}
  • {iso(1) iso-organization(3) dod(6) internet(1) mgmt(2) mib-2(1) transmission(10) teLinkStdMIB(200) teLinkObjects(1) componentLinkDescriptorTable(6) componentLinkDescriptorEntry(1) componentLinkDescrSwitchingCapability(2)}
  • {iso(1) iso-organization(3) dod(6) internet(1) mgmt(2) mib(1) transmission(10) teLinkStdMIB(200) teLinkObjects(1) componentLinkDescriptorTable(6) componentLinkDescriptorEntry(1) componentLinkDescrSwitchingCapability(2)}
  • {iso(1) iso-organization(3) dod(6) internet(1) mgmt(2) stdmib-2(1) transmission(10) teLinkStdMIB(200) teLinkObjects(1) componentLinkDescriptorTable(6) componentLinkDescriptorEntry(1) componentLinkDescrSwitchingCapability(2)}
OID-IRI notation
  • /1/3/6/1/2/1/10/200/1/6/1/2
  • /ISO/Identified-Organization/6/1/2/1/10/200/1/6/1/2
  • /ISO/3/6/1/2/1/10/200/1/6/1/2
Named path variants
  • /iso/identified-organization/dod/internet/mgmt/mib-2/transmission/teLinkStdMIB/teLinkObjects/componentLinkDescriptorTable/componentLinkDescriptorEntry/componentLinkDescrSwitchingCapability
  • /iso/identified-organization/dod/internet/mgmt/mib/transmission/teLinkStdMIB/teLinkObjects/componentLinkDescriptorTable/componentLinkDescriptorEntry/componentLinkDescrSwitchingCapability
  • /iso/identified-organization/dod/internet/mgmt/RFC1066-MIB-INTERPRETATION/transmission/teLinkStdMIB/teLinkObjects/componentLinkDescriptorTable/componentLinkDescriptorEntry/componentLinkDescrSwitchingCapability
  • /iso/identified-organization/dod/internet/mgmt/stdmib-2/transmission/teLinkStdMIB/teLinkObjects/componentLinkDescriptorTable/componentLinkDescriptorEntry/componentLinkDescrSwitchingCapability
  • /iso/org/dod/internet/mgmt/mib-2/transmission/teLinkStdMIB/teLinkObjects/componentLinkDescriptorTable/componentLinkDescriptorEntry/componentLinkDescrSwitchingCapability
  • /iso/org/dod/internet/mgmt/mib/transmission/teLinkStdMIB/teLinkObjects/componentLinkDescriptorTable/componentLinkDescriptorEntry/componentLinkDescrSwitchingCapability
  • /iso/org/dod/internet/mgmt/RFC1066-MIB-INTERPRETATION/transmission/teLinkStdMIB/teLinkObjects/componentLinkDescriptorTable/componentLinkDescriptorEntry/componentLinkDescrSwitchingCapability
  • /iso/org/dod/internet/mgmt/stdmib-2/transmission/teLinkStdMIB/teLinkObjects/componentLinkDescriptorTable/componentLinkDescriptorEntry/componentLinkDescrSwitchingCapability
  • /iso/iso-identified-organization/dod/internet/mgmt/mib-2/transmission/teLinkStdMIB/teLinkObjects/componentLinkDescriptorTable/componentLinkDescriptorEntry/componentLinkDescrSwitchingCapability
  • /iso/iso-identified-organization/dod/internet/mgmt/mib/transmission/teLinkStdMIB/teLinkObjects/componentLinkDescriptorTable/componentLinkDescriptorEntry/componentLinkDescrSwitchingCapability
  • /iso/iso-identified-organization/dod/internet/mgmt/RFC1066-MIB-INTERPRETATION/transmission/teLinkStdMIB/teLinkObjects/componentLinkDescriptorTable/componentLinkDescriptorEntry/componentLinkDescrSwitchingCapability
  • /iso/iso-identified-organization/dod/internet/mgmt/stdmib-2/transmission/teLinkStdMIB/teLinkObjects/componentLinkDescriptorTable/componentLinkDescriptorEntry/componentLinkDescrSwitchingCapability
  • /iso/iso-organization/dod/internet/mgmt/mib-2/transmission/teLinkStdMIB/teLinkObjects/componentLinkDescriptorTable/componentLinkDescriptorEntry/componentLinkDescrSwitchingCapability
  • /iso/iso-organization/dod/internet/mgmt/mib/transmission/teLinkStdMIB/teLinkObjects/componentLinkDescriptorTable/componentLinkDescriptorEntry/componentLinkDescrSwitchingCapability
  • /iso/iso-organization/dod/internet/mgmt/RFC1066-MIB-INTERPRETATION/transmission/teLinkStdMIB/teLinkObjects/componentLinkDescriptorTable/componentLinkDescriptorEntry/componentLinkDescrSwitchingCapability
  • /iso/iso-organization/dod/internet/mgmt/stdmib-2/transmission/teLinkStdMIB/teLinkObjects/componentLinkDescriptorTable/componentLinkDescriptorEntry/componentLinkDescrSwitchingCapability

SNMP properties

Value type
TeLinkSwitchingCapability
Maximum access defined by MIB
read-create
Status in MIB
current

Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.

Meaning

Descriptions

1 unique

Identical descriptions are grouped. Different wording and device-specific notes are retained.

This attribute specifies link multiplexing capabilities of the component link.
Original text from OID Repository
componentLinkDescrSwitchingCapability OBJECT-TYPE
SYNTAX TeLinkSwitchingCapability
MAX-ACCESS read-create
STATUS current
DESCRIPTION
"This attribute specifies link multiplexing capabilities of
the component link."
REFERENCE
"OSPF Extensions in Support of Generalized Multi-Protocol
Label Switching (GMPLS), RFC 4203"
Sources for this description

OID Repository

View at oid-base.com
Automatically extracted from RFC4220

Circitor

Parsed from TE-LINK-STD-MIB.mib · TE-LINK-STD-MIB

Source file: Download TE-LINK-STD-MIB.txt · Publisher's file

Vendor MIB copy from the Netdisco archive.

Source file: Download TE-LINK-STD-MIB · Publisher's file

Vendor MIB copy from the Observium Community archive.

Related source files and packages:

Source file: Download RFC 4220 · Publisher's file · RFC errata

Source file: Download TE-LINK-STD-MIB.mib

Browse all files from Circitor

Historical records

Additional source information

Information from MIBdepot
componentLinkDescrSwitchingCapability OBJECT-TYPE
      SYNTAX        TeLinkSwitchingCapability
      MAX-ACCESS    read-create
      STATUS        current
      DESCRIPTION
          "This attribute specifies link multiplexing capabilities of
           the component link."
      REFERENCE
          "OSPF Extensions in Support of Generalized Multi-Protocol
           Label Switching (GMPLS), RFC 4203"
      ::= { componentLinkDescriptorEntry 2 }
Information from Circitor
componentLinkDescrSwitchingCapability OBJECT-TYPE
   SYNTAX        TeLinkSwitchingCapability
   MAX-ACCESS    read-create
   STATUS        current
   DESCRIPTION
       "This attribute specifies link multiplexing capabilities of
        the component link."
   REFERENCE
       "OSPF Extensions in Support of Generalized Multi-Protocol
        Label Switching (GMPLS), RFC 4203"
   ::= { componentLinkDescriptorEntry 2 }

Registration

Registration authorities

First Registration Authority (inferred from ancestor 1.3.6)

Defense Communication Agency

Current Registration Authority (inferred from ancestor 1.3.6.1.2)

Internet Assigned Numbers Authority

Siblings (15)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.2.1.10.200.1.6.1.1 componentLinkDescrId00 This object specifies the link descriptor identifier.
1.3.6.1.2.1.10.200.1.6.1.3 componentLinkDescrEncodingType00 This attribute specifies the component link encoding type.
1.3.6.1.2.1.10.200.1.6.1.4 componentLinkDescrMinLspBandwidth00 This attribute specifies the minimum LSP bandwidth on
the component link.
1.3.6.1.2.1.10.200.1.6.1.5 componentLinkDescrMaxLspBandwidthPrio000 This attribute specifies the maximum LSP bandwidth at
priority 0 on the component link.
1.3.6.1.2.1.10.200.1.6.1.6 componentLinkDescrMaxLspBandwidthPrio100 This attribute specifies the maximum LSP bandwidth at
priority 1 on the component link.
1.3.6.1.2.1.10.200.1.6.1.7 componentLinkDescrMaxLspBandwidthPrio200 This attribute specifies the maximum LSP bandwidth at
priority 2 on the component link.
1.3.6.1.2.1.10.200.1.6.1.8 componentLinkDescrMaxLspBandwidthPrio300 This attribute specifies the maximum LSP bandwidth at
priority 3 on the component link.
1.3.6.1.2.1.10.200.1.6.1.9 componentLinkDescrMaxLspBandwidthPrio400 This attribute specifies the maximum LSP bandwidth at
priority 4 on the component link.
1.3.6.1.2.1.10.200.1.6.1.10 componentLinkDescrMaxLspBandwidthPrio500 This attribute specifies the maximum LSP bandwidth at
priority 5 on the component link.
1.3.6.1.2.1.10.200.1.6.1.11 componentLinkDescrMaxLspBandwidthPrio600 This attribute specifies the maximum LSP bandwidth at
priority 6 on the component link.
1.3.6.1.2.1.10.200.1.6.1.12 componentLinkDescrMaxLspBandwidthPrio700 This attribute specifies the maximum LSP bandwidth at
priority 7 on the component link.
1.3.6.1.2.1.10.200.1.6.1.13 componentLinkDescrInterfaceMtu00 This attribute specifies the interface MTU for the component
link descriptor.
1.3.6.1.2.1.10.200.1.6.1.14 componentLinkDescrIndication00 This attribute specifies whether this interface supports
Standard or Arbitrary SONET/SDH.
1.3.6.1.2.1.10.200.1.6.1.15 componentLinkDescrRowStatus00 This variable is used to create, modify, and/or
delete a row in this table. No read-create object
can be modified when component…
1.3.6.1.2.1.10.200.1.6.1.16 componentLinkDescrStorageType00 The storage type for this conceptual row in the
componentLinkDescriptorTable. Conceptual rows
having the value 'permanent' need …